import { ImagesApiConfig, ImagesApi } from './imagesApi';
import { WebhookServer } from './server/webhookServer';
import { Middleware } from './middleware/middleware';
import { ApiRequest } from './api/request';
import { Context } from './context';
import { ApiResponse } from './api/response';
import { CommandCallback, CommandDeclaration } from './command/command';
import { Scene } from './stage/scene';
export declare type AliceConfig = ImagesApiConfig;
export declare class Alice {
    private readonly _config;
    private readonly _middlewares;
    private readonly _imagesApi;
    private readonly _mainStage;
    private _eventEmitter;
    constructor(config?: AliceConfig);
    private _buildContext;
    private _runMiddlewares;
    get imagesApi(): ImagesApi;
    handleRequest(data: ApiRequest): Promise<ApiResponse>;
    listen(port?: number, webhookUrl?: string, options?: object): WebhookServer;
    use(middleware: Middleware): void;
    command(declaration: CommandDeclaration, callback: CommandCallback): void;
    any(callback: CommandCallback): void;
    registerScene(scene: Scene): void;
    on(type: 'response' | 'request', callback: (context: Context) => any): void;
}
