import { ApiImageItem, IApiImageQuota, IApiImageDeleteResponse } from './api/image';
export interface ImagesApiConfig {
    oAuthToken?: string;
    skillId?: string;
}
export declare class ImagesApi {
    private readonly _skillId;
    private readonly _oAuthToken;
    constructor(params: ImagesApiConfig);
    uploadImageByUrl(url: string): Promise<ApiImageItem>;
    uploadImageFile(): Promise<ApiImageItem>;
    getImages(): Promise<ApiImageItem[]>;
    getImagesQuota(): Promise<IApiImageQuota>;
    deleteImage(imageId: string): Promise<IApiImageDeleteResponse>;
    private _makeRequest;
}
